Skip to main content
`Ctrl`+`K`

# EPSJDSetConstCorrectionTol

Deactivate the dynamic stopping criterion (also called Newton).

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDSetConstCorrectionTol(EPS eps,PetscBool constant)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- constant - if `PETSC_FALSE`, the `KSP` relative tolerance is set to \(2^{-i}\)

## Options Database Key

- -eps_jd_const_correction_tol - set a constant or dynamic stopping criterion

## Notes

If this flag is set to `PETSC_FALSE`, then the `KSP` relative tolerance is dynamically set to \(2^{-i}\), where \(i\) is the number of `EPS` iterations since the last converged eigenvalue. By the default, a constant tolerance is used.

Detailed information can be found at [Romero and Roman, 2014].

## References

[Rom14]

E. Romero and J. E. Roman. A parallel implementation of Davidson methods for large-scale eigenvalue problems in SLEPc. ACM Trans. Math. Software, 40(2):13:1–13:29, 2014. doi:10.1145/2543696.

## See Also

EPS: Eigenvalue Problem Solver, `EPSJD`, `EPSJDGetConstCorrectionTol()`

## Level

advanced

## Location

src/eps/impls/davidson/jd/jd.c

## Implementations

EPSJDSetConstCorrectionTol_JD() in src/eps/impls/davidson/jd/jd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages